%define realname Apache-ASP

Summary:	Apache::ASP - A perl ASP port to Apache
Name:		perl-%{realname}
Version:	2.59
Release:	%mkrel 2
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{realname}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Apache/%{realname}-%{version}.tar.bz2
Source1:	asp.html
Source2:	perl-Apache-ASP.conf.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.2.0
Requires(pre):  apache >= 2.2.0
Requires(pre):	apache-mpm-prefork >= 2.2.0
Requires(pre):	apache-mod_perl >= 1:2.0.2
Requires:	apache-conf >= 2.2.0
Requires:	apache-mpm-prefork >= 2.2.0
Requires:	apache-mod_perl >= 1:2.0.2
BuildRequires:	perl-devel
BuildRequires:	perl(Apache::Filter)
#BuildRequires:	perl(Apache::SSI)
BuildRequires:	perl-base
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(DB_File)
BuildRequires:	perl(Devel::Symdump)
BuildRequires:	perl(HTML::Clean)
BuildRequires:	perl(MLDBM)
BuildRequires:  perl(MLDBM::Sync)
BuildRequires:  perl(HTML::FillInForm)
BuildRequires:  perl(XML::Sablotron)
BuildRequires:	perl(Tie::Cache)
BuildRequires:	perl(Tie::TextDir)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(XML::XSLT)
BuildRequires:  perl(XML::LibXSLT)
BuildRequires:	perl(CGI)
BuildRequires:	perl(DB_File)
BuildRequires:  perl(Apache::Filter)
Provides:	perl(Apache::ASP::Share::CORE)
Provides:	Apache-ASP %{version}-%{release}
Obsoletes:	Apache-ASP
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Apache::ASP provides an Active Server Pages port to the Apache Web Server
with Perl scripting only, and enables developing of dynamic web applications
with session management and embedded Perl code. There are also many powerful
extensions, including XML taglibs, XSLT rendering, and new events not
originally part of the ASP API!

This module works under the Apache Web Server with the mod_perl module
enabled. See http://www.apache.org and http://perl.apache.org for further
information.

This is a portable solution, similar to ActiveState's PerlScript for NT/IIS
ASP. Work has been done and will continue to make ports to and from this
implementation as smooth as possible.

For Apache::ASP downloading and installation, please read the INSTALL
section. For installation troubleshooting check the FAQ and the SUPPORT
sections.

For database access, ActiveX, scripting languages, and other miscellaneous
issues please read the FAQ section.

%prep

%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#eval `perl '-V:installarchlib'`
#mkdir -p %{buildroot}/$installarchlib

make
perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" ASP.pm
%makeinstall_std
mkdir -p %{buildroot}%{_var}/www/perl/%{realname}
mkdir -p %{buildroot}%{_var}/www/html/addon-modules/
rm -f ASP.pm
rm -rf blib
rm -f Makefile*
rm -f pm_to_blib
#cd cgi
#perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" asp
#cd ..
cd site
for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
#cd eg
#for i in *;do perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" $i;done
#cd ../../
cp %{SOURCE1} %{buildroot}%{_var}/www/html/addon-modules/%{realname}.html
cp -dpr *  %{buildroot}%{_var}/www/perl/%{realname}/
rm -rf %{buildroot}/%{_var}/www/perl/%{realname}/t

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
bzcat %{SOURCE2} > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/perl-Apache-ASP.conf

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/perl-Apache-ASP.conf
%dir %{_var}/www/perl/%{realname}
%{_var}/www/perl/%{realname}/*
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Bundle/Apache
%{_mandir}/*/*
%{_bindir}/*
%{_var}/www/html/addon-modules/Apache-ASP.html

%changelog
* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.59-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- URL
	- Source URL

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 2.59-1mdk
- 2.59
- renamed to perl-Apache-ASP
- added apache config

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.51-5mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.51-4mdk
- rebuild

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.51-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.51-2mdk
- rebuild
- dropped Prefix tag

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.51-1mdk
- New version, supposed to be compatible with both mod_perl 1.3 and 2.0
- new macros from ADVX-build

* Fri Sep  6 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.37-3mdk
- Re-add link in addon-modules
- Get *all* files this time (including the missing .htaccess!)

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.37-2mdk
- fix conflict
- fix BuildRequires

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.37-1mdk
- new version 2.37.
- rebuild with perl 5.8.0.
- remove filelist

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.35-1mdk
- new version 2.35.

* Thu May 02 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.33-1mdk
- new version.

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2.31-2mdk
- Clean after build
- Use %%make macro

* Thu Jan 31 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.31-1mdk
- 2.31.

* Mon Nov 05 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.27-1mdk
- 2.27.
- Added few BuildRequires
- s|/usr/local/bin/perl|%{_bindir}/perl|g

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu>  2.19-1mdk
- 2.19
- BuildRequires:	perl-CGI
- BuildRequires:	perl-DB_File
- Copyright --> License GPL
- Remove BuildRequires: apache-mod_perl perl perl-DateManip
  perl-Digest-MD5 perl-HTML-Parser perl-HTML-SimpleParse perl-libnet
  perl-libwww-perl perl-libxml-enno perl-libxml-perl perl-MIME-Base64
  perl-Parse-Yapp perl-URI perl-XML-Parser

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 2.00-4mdk
- BuildRequires:	perl-devel

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.00-3mdk
- BuildArchitectures: noarch
- add docs with doc macro

* Sun Oct 01 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.00-2mdk
- Call spec-helper before creating filelist
- Geoff <snailtalk@mandrakesoft.com>
  - remove the vendor and distribution tag. (jmdsuck!!)

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.00-1mdk
- Version 2.00 
- Macroized package

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-3mdk
- fixed link in asp.html

* Wed Mar  1 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-2mdk
- fixed dependencies again

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 0.18-1mdk
- updated to 0.18 on Apache 1.3.12

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.17

* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed dependancies

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 0.14
- bzip2'd sources
- put manual and examples in html directory
- renamed Apache-ASP to differentiate is as a different product

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
